@charset "UTF-8";
/**
 * $File: style.css $
 * $Date: 2017-11-02 05:45:14 $
 * $Revision: $
 * $Creator: Jen-Chieh Shen $
 * $Notice: See LICENSE.txt for modification and distribution information
 *                   Copyright (c) 2017 by Shen, Jen-Chieh $
 */

* {
  padding 0px;
  margin: 0px;
}

body {
  background-color: #87CEEB;
  width: 100%;
}

/*****************************************************/
/* Signup Panel                                      */
/*****************************************************/

#signup-panel {
  //border: 1px solid red;
  margin: 0 auto;
  margin-top: 50px;
  background-color: rgba(255, 255, 255, 0.5);
  width: 250px;
}

#signup-panel
form {
  margin: 0px auto;
  width: 80%;
}

#signup-panel
h3 {
  margin: 0px auto;
  width: 100%;
  text-align: center;
}

#signup-panel
button {
  display: block;
  position: relative;
  margin: 10px auto;
}

.label-input {
  width: 60%;
}

#signup-error {
  margin: 0 auto;
  text-align: center;
  color: red;
}

/*****************************************************/
/* Login Panel                                       */
/*****************************************************/

#login-panel {
  background-color: rgba(255, 255, 255, 0.5);
  width: 100%;
  min-width: 1500px;
}

#login-panel
h3 {
  display: inline;
  margin-left: 5%;
}

#login-panel-right {
  display: inline;
  margin-left: 35%;
}

#login-panel
input {
  margin: 10px 10px;
}

#login-error {
  margin: 0px auto;
  text-align: center;
  color: red;
}

/*****************************************************/
/* Logout Panel                                      */
/*****************************************************/
#logout-panel {
  position: fixed;
  top: 0px;
  z-index: 1;
  background-color: rgba(255, 255, 255, 0.8);
  width: 100%;
  min-width: 1300px;
  height: 50px;
}

#logout-panel
h3 {
  position: absolute;
  margin-top: 15px;
  margin-left: 5%;
  font-size: 1.5em;
}

#logout-panel
form {
  display: inline;
}

#logout-panel-right {
  display: inline;
  position: absolute;
  right: 10px;
}

#logout-panel-right
button {
  position: absolute;
  top: 10px;
  right: 20px;
}

#logout-username-text {
  position: absolute;
  top: 10px;
  right: 100px;
  text-align: right;
  font-size: 1.2em;
}


/*****************************************************/
/* Work Panel                                        */
/*****************************************************/

#work-panel {
  position: relative;
  margin: 60px auto;
  border: 1px solid green;
  background-color: rgba(255, 255, 255, 0.5);
  width: 90%;
  min-height: 500px;
}

#random-btn {
  position: relative;
  bottom: 2%;
  left: 48%;
  margin: 10px 0px;
}

#error-log {
  text-align: center;
  color: red;
}

.page-label {
  text-overflow: ellipsis;
  list-style-type: none;
  align-items: center;
  justify-content: center;
  display: inline-flex;
  position: relative;
  border: 1px solid yellow;
  background-color: red;
  cursor: pointer;
  width: 10%;
  height: 30px;
  overflow: hidden;
  vertical-align: middle;
  white-space: nowrap;
}

#page-name-input {
  position: absolute;
  top: 5px;
  right: 120px;
}

/*****************************************************/
/* Page Panel                                        */
/*****************************************************/

.page-panel {
  border: 1px solid red;
  height: 85%;
}

#create-page-btn {
  position: absolute;
  top: 5px;
  right: 10px;
}

.delete-page-btn {
  position: absolute;
  top: 40px;
  right: 10px;
}

.add-category-btn {
  display: inline;
  position: absolute;
  top: 50px;
  left: 205px;
}

/*****************************************************/
/* Cateogry  Panel                                   */
/*****************************************************/
.category-header {
  font-size: 1.1em;
  font-weight: bold;
}

.remove-category-btn {
  position: absolute;
  right: 10px;
}

.add-item-btn {
  display: inline-block;
  margin-top: 5px;
  margin-bottom: 5px;
}

.add-item-input {
  display: inline-block;
  margin-top: 5px;
  margin-bottom: 5px;
}

.remove-item-button {
  display: inline-block;
  margin-left: 5px;
}

.random-output-filed {
  right: 10px;
  margin-top: 5px;
  margin-bottom: 5px;
}
